package com.ssj.service.conch.conch.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

import io.swagger.annotations.ApiModelProperty;

public class LocationRequest extends BaseRequest {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "derver", value = "设备号", required = true)
    private String derver;

	@ApiModelProperty(name = "longitude", value = "经度", required = true)
    private String longitude;
	
	@ApiModelProperty(name = "latitude", value = "纬度", required = true)
    private String latitude;
	
	@ApiModelProperty(name = "battery", value = "电量", required = true)
    private String battery;
	
	@ApiModelProperty(name = "network", value = "无线网络类型", required = true)
    private String  network;

    @ApiModelProperty(name = "mnc1", value = "基站1", required = false)
    private Integer mnc1;

    @ApiModelProperty(name = "lac1", value = "小区号1", required = false)
    private Integer lac1;

    @ApiModelProperty(name = "cell1", value = "基站号1", required = false)
    private Integer cell1;

    @ApiModelProperty(name = "strength1", value = "信号强度1", required = false)
    private Integer strength1;

    @ApiModelProperty(name = "mnc2", value = "基站2", required = false)
    private Integer mnc2;

    @ApiModelProperty(name = "lac2", value = "小区号2", required = false)
    private Integer lac2;

    @ApiModelProperty(name = "cell2", value = "基站号2", required = false)
    private Integer cell2;

    @ApiModelProperty(name = "strength2", value = "信号强度2", required = false)
    private Integer strength2;

    @ApiModelProperty(name = "mnc3", value = "基站3", required = false)
    private Integer mnc3;

    @ApiModelProperty(name = "lac3", value = "小区号3", required = false)
    private Integer lac3;

    @ApiModelProperty(name = "cell3", value = "基站号3", required = false)
    private Integer cell3;

    @ApiModelProperty(name = "strength3", value = "信号强度3", required = false)
    private Integer strength3;

    @ApiModelProperty(name = "mnc4", value = "基站", required = false)
    private Integer mnc4;

    @ApiModelProperty(name = "lac4", value = "小区号", required = false)
    private Integer lac4;

    @ApiModelProperty(name = "cell4", value = "基站号", required = false)
    private Integer cell4;

    @ApiModelProperty(name = "strength4", value = "信号强度", required = false)
    private Integer strength4;

	@ApiModelProperty(name = "bssid1", value = "WIFI热点的MAC地址1", required = false)
	private String bssid1;
	@ApiModelProperty(name = "bssid2", value = "WIFI热点的MAC地址2", required = false)
	private String bssid2;
	@ApiModelProperty(name = "bssid3", value = "WIFI热点的MAC地址3", required = false)
	private String bssid3;
	@ApiModelProperty(name = "bssid4", value = "WIFI热点的MAC地址4", required = false)
	private String bssid4;
	@ApiModelProperty(name = "bssid5", value = "WIFI热点的MAC地址5", required = false)
	private String bssid5;

	@ApiModelProperty(name = "dBm1", value = "WIFI信号强度1", required = false)
	private Integer dBm1;
	@ApiModelProperty(name = "dBm2", value = "WIFI信号强度2", required = false)
	private Integer dBm2;
	@ApiModelProperty(name = "dBm3", value = "WIFI信号强度3", required = false)
	private Integer dBm3;
	@ApiModelProperty(name = "dBm4", value = "WIFI信号强度4", required = false)
	private Integer dBm4;
	@ApiModelProperty(name = "dBm5", value = "WIFI信号强度5", required = false)
	private Integer dBm5;

	public String getDerver() {
		return derver;
	}

	public void setDerver(String derver) {
		this.derver = derver;
	}

	public String getLongitude() {
		return longitude;
	}

	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}

	public String getLatitude() {
		return latitude;
	}

	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}

	public String getBattery() {
		return battery;
	}

	public void setBattery(String battery) {
		this.battery = battery;
	}

	public String getNetwork() {
		return network;
	}

	public void setNetwork(String network) {
		this.network = network;
	}

	public Integer getMnc1() {
		return mnc1;
	}

	public void setMnc1(Integer mnc1) {
		this.mnc1 = mnc1;
	}

	public Integer getLac1() {
		return lac1;
	}

	public void setLac1(Integer lac1) {
		this.lac1 = lac1;
	}

	public Integer getCell1() {
		return cell1;
	}

	public void setCell1(Integer cell1) {
		this.cell1 = cell1;
	}

	public Integer getStrength1() {
		return strength1;
	}

	public void setStrength1(Integer strength1) {
		this.strength1 = strength1;
	}

	public Integer getMnc2() {
		return mnc2;
	}

	public void setMnc2(Integer mnc2) {
		this.mnc2 = mnc2;
	}

	public Integer getLac2() {
		return lac2;
	}

	public void setLac2(Integer lac2) {
		this.lac2 = lac2;
	}

	public Integer getCell2() {
		return cell2;
	}

	public void setCell2(Integer cell2) {
		this.cell2 = cell2;
	}

	public Integer getStrength2() {
		return strength2;
	}

	public void setStrength2(Integer strength2) {
		this.strength2 = strength2;
	}

	public Integer getMnc3() {
		return mnc3;
	}

	public void setMnc3(Integer mnc3) {
		this.mnc3 = mnc3;
	}

	public Integer getLac3() {
		return lac3;
	}

	public void setLac3(Integer lac3) {
		this.lac3 = lac3;
	}

	public Integer getCell3() {
		return cell3;
	}

	public void setCell3(Integer cell3) {
		this.cell3 = cell3;
	}

	public Integer getStrength3() {
		return strength3;
	}

	public void setStrength3(Integer strength3) {
		this.strength3 = strength3;
	}

	public Integer getMnc4() {
		return mnc4;
	}

	public void setMnc4(Integer mnc4) {
		this.mnc4 = mnc4;
	}

	public Integer getLac4() {
		return lac4;
	}

	public void setLac4(Integer lac4) {
		this.lac4 = lac4;
	}

	public Integer getCell4() {
		return cell4;
	}

	public void setCell4(Integer cell4) {
		this.cell4 = cell4;
	}

	public Integer getStrength4() {
		return strength4;
	}

	public void setStrength4(Integer strength4) {
		this.strength4 = strength4;
	}

	public String getBssid1() {
		return bssid1;
	}

	public void setBssid1(String bssid1) {
		this.bssid1 = bssid1;
	}

	public String getBssid2() {
		return bssid2;
	}

	public void setBssid2(String bssid2) {
		this.bssid2 = bssid2;
	}

	public String getBssid3() {
		return bssid3;
	}

	public void setBssid3(String bssid3) {
		this.bssid3 = bssid3;
	}

	public String getBssid4() {
		return bssid4;
	}

	public void setBssid4(String bssid4) {
		this.bssid4 = bssid4;
	}

	public String getBssid5() {
		return bssid5;
	}

	public void setBssid5(String bssid5) {
		this.bssid5 = bssid5;
	}

	public Integer getdBm1() {
		return dBm1;
	}

	public void setdBm1(Integer dBm1) {
		this.dBm1 = dBm1;
	}

	public Integer getdBm2() {
		return dBm2;
	}

	public void setdBm2(Integer dBm2) {
		this.dBm2 = dBm2;
	}

	public Integer getdBm3() {
		return dBm3;
	}

	public void setdBm3(Integer dBm3) {
		this.dBm3 = dBm3;
	}

	public Integer getdBm4() {
		return dBm4;
	}

	public void setdBm4(Integer dBm4) {
		this.dBm4 = dBm4;
	}

	public Integer getdBm5() {
		return dBm5;
	}

	public void setdBm5(Integer dBm5) {
		this.dBm5 = dBm5;
	}
}
